//  SuperTux
//  Copyright (C) 2009 Ingo Ruhnke <grumbel@gmail.com>
//
//  This program is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.

#ifndef HEADER_SUPERTUX_PHYSFS_PHYSFS_FILE_SYSTEM_HPP
#define HEADER_SUPERTUX_PHYSFS_PHYSFS_FILE_SYSTEM_HPP

#include <tinygettext/file_system.hpp>

/** Helper class for tinygettext */
class PhysFSFileSystem final : public tinygettext::FileSystem
{
public:
  PhysFSFileSystem();

  virtual std::vector<std::string> open_directory(const std::string& pathname) override;
  virtual std::unique_ptr<std::istream> open_file(const std::string& filename) override;
};

#endif

/* EOF */
